image: onecommons/unfurl:latest
variables:
  GIT_STRATEGY: clone

build-job:
  script:
    - git checkout main
    - unfurl -v --home '' export --format blueprint ensemble-template.yaml > unfurl.json
    - export GIT_SSL_CAINFO="$CI_SERVER_TLS_CA_FILE"
    - git config --global user.email "$GITLAB_USER_EMAIL"
    - git config --global user.name "$GITLAB_USER_NAME"
    - git add unfurl.json
    - git commit -m "Automated update of blueprint export" || echo "No changes to commit"
    - git push -o ci.skip
  rules:
  - if: $CI_COMMIT_BRANCH == "main"
    when: always
